API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/loads/{loadId}/files/finalize-upload
ark.finalize_load_file_upload
Finalizes a prepared upload by inserting the file record, clearing the pending upload, updating POD signature comments, and sending POD upload notifications when applicable.
- Availability
- Expanded preview
- Scopes
loads:write- ARK permissions
canEditLoad- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
filePathstringrequiredmin length: 1; max length: 2000
fileNamestringmin length: 1; max length: 255
fileTypestringrequiredmin length: 1; max length: 100
mimeTypestringrequiredmin length: 1; max length: 255
dispatchIdstringformat: uuid
podSignedBystring | nullmax length: 200
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/files/finalize-upload' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"filePath": "<filePath>",
"fileType": "<fileType>",
"mimeType": "<mimeType>"
}'Success response
Finalized upload
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.loadIdstringrequiredformat: uuid
data.loadobjectrequireddata.fileobjectrequireddata.podNotificationSentbooleanrequireddata.podSignatureCommentUpdatedbooleanrequireddata.sideEffectErrorstring | nullrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry